{{ define "main" }}
<div class="series pa3 pa4-ns w-100 w-70-ns center">
	<section class="bb b--black-10">
		{{ if eq (len .Title) 6 }}
		<h1 class="flex-none">
			{{ $series := (dict "week" (substr .Title 4) "year" (substr .Title 0 4)) }}
			{{ T "seriesTitle" $series | safeHTML }}
		</h1>
		{{ end }}

		<div class="relative w-100 mb4">
			{{ with .Content }}
				{{ . }}
			{{ else }}
				{{ with first 1 (where .Pages "Section" "series") }}
					{{ range first 1 . }}
						{{ .Content }}
					{{ end }}
				{{ else }}
					{{ range where (where .Site.Pages "Section" "series") ".Params.series" nil }}
						{{ .Content }}
					{{ end }}
				{{ end }}
			{{ end }}
		</div>
	</section>

	<section class="w-100 mw8 mb4 bb b--black-10">
		<h2 class="flex-none">{{ T "toc" }}</h2>
		<div class="relative" id="TableOfContents">
			<ul class="pa0 list">
				{{ range where .Paginator.Pages ".Params.series_weight" 0 }}
				<li class="mb2">
					<a href="{{ .Params.href }}" class="link black dim">
						{{ with .Params.site }}[{{- . -}}]{{ end }}
						{{ .Title -}}
					</a>
					{{- partial "href.html" . -}}
				</li>
				{{ end }}
			</ul>
		</div>
	</section>

	<section class="w-100 mw8">
		{{ range where (where .Pages "Section" "article") ".Params.series_weight" 0 }}
		<div class="relative w-100 mb4">
			{{ $featured_image := .Params.featured_image }}
			<article class="bb b--black-10">
				<div class="db pb4 ph3 ph0-l no-underline dark-gray">
					<div class="flex flex-column flex-row-ns">
						{{ if .Params.featured_image }}
						{{/* Trimming the slash and adding absURL make sure the image works no matter where our site lives */}}
						{{ $featured_image := (trim $featured_image "/") | absURL }}
						<div class="pr3-ns mb4 mb0-ns w-100 w-40-ns">
							<img src="{{ $featured_image }}" class="img" alt="{{ T "featured_image" }}" />
						</div>
						{{ end }}
						<div class="blah w-100{{ if .Params.featured_image }} w-60-ns pl3-ns{{ end }}">
							<h1 class="f3 fw1 athelas mt0 lh-title">
								<a href="{{ .Params.href }}" class="link black dim">
									{{ with .Params.site }}[{{- . -}}]{{ end }}
									{{ .Title -}}
								</a>
							</h1>
							<p>
							{{ with .Params.author }}
							<span class="author">✍ {{ . -}},</span>
							{{ T "written" }}
							{{ else }}
							{{ T "written" | humanize }}
							{{ end }}
							{{- partial "date.html" . -}}
							</p>
							<div class="f6 f5-l lh-copy nested-copy-line-height nested-links">
								{{- .Content }}
							</div>
							{{- partial "href.html" . -}}
						</div>
					</div>

					{{ $related := .Site.RegularPages.Related . }}
					{{ $related := where $related ".Params.series_weight" "!=" 0 }}
					{{ with where $related ".Params.tags" "intersect" (first 1 .Params.tags) }}
					<div class="bg-light-gray pa3 nested-list-reset nested-copy-line-height nested-links">
						{{ T "related" }}
						<ul class="pa0 list">
							{{ range . }}
							<li class="mb2">
								<a href="{{ .Params.href }}" class="link black dim">
									{{ with .Params.site }}[{{- . -}}]{{ end }}
									{{ .Title -}}
								</a>
								{{- partial "href.html" . -}}
							</li>
							{{ end }}
						</ul>
					</div>
					{{ end }}

					{{ with .Params.seeAlso }}
					<div class="bg-light-gray pa3 nested-list-reset nested-copy-line-height nested-links">
						{{ T "seeAlso" }}
						<ul class="pa0 list">
							<li class="mb2">{{ . | markdownify }}</li>
						</ul>
					</div>
					{{ end }}
				</div>
			</article>
		</div>
		{{ end }}
	</section>

	<section class="w-100 mw8">
		<div class="relative w-100 mb4">
			<p>
			{{ T "seriesLink" }}
			<a href='{{ .RelPermalink | absURL }}index.html'>{{ .RelPermalink | absURL }}</a>
			</p>
		</div>
	</section>
</div>
{{ end }}
